%define oname xfce4-session

%define major 0
%define apiversion 4.2
%define libname %mklibname xfsm-%{apiversion}_%{major}
%define develname %mklibname xfsm -d

Summary:	Xfce Session Manager
Name:		xfce-session
Version:	4.4.1
Release:	%mkrel 11
License:	BSD
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	%{oname}-%{version}.tar.bz2 
Source3:	%{oname}-icons.tar.bz2
# (saispo) default mandriva theme
Patch4:		%{oname}-4.4.1-session-options.patch
# (tpg) suspend/hibernate session dialog
Patch5:		%{oname}-4.4.1-suspend-hibernate.patch
Patch6:		%{oname}-asneeded.patch
Patch7:		%{oname}-4.4.1-icons.patch
Patch8:		%{oname}-4.4.1-use-GtkFileChooser.patch
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	X11-devel
BuildRequires:	iceauth
BuildRequires:	dbus-glib-devel
Requires:	xfce-mcs-manager >= %{version}
#Requires:	usermode-consoleonly
# (tpg) this satisfies xfce tips&tricks
Requires:	fortune-mod
Requires:	pm-utils
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The session manager allows the user to save sessions and 
restore them after login. It is capable of saving several 
different sessions. It comes with three splash screen engines. 
And at last it helps you to log out, reboot, and shutdown the system.

%package -n %{name}-engines
Summary:	Balou splash engine
Group:		Graphical desktop/Xfce
Requires:	%{name} = %{version}-%{release}

%description -n %{name}-engines
Balou is an addidional splash engine for the Xfce.

%package -n %{libname}
Summary:	Libraries for the Xfce Session Manager
Group:		Graphical desktop/Xfce

%description -n %{libname}
Libraries for xfce-session manager

%package -n %{develname}
Summary:	Libraries and header files for the Xfce Session Manager
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	libxfsm-devel = %{version}-%{release}
Obsoletes:	%mklibname xfsm-%{apiversion}_0 -d
 
%description -n %{develname}
Libraries and header files for the Xfce Session Manager.

%prep
%setup -qn %{oname}-%{version} -a 3
%patch4 -p1 -b .mandriva
%patch5 -p1 -b .logout
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
%configure2_5x \
	--sysconfdir=%{_sysconfdir}/X11 \
	--enable-final \
	--enable-gnome \
	--enable-dbus \
	--enable-session-screenshots \
	--disable-legacy-sm
%make

%install
rm -rf %{buildroot}
%makeinstall_std 

# Remove devel files from plugins
rm -f %{buildroot}/%{_libdir}/xfce4/splash/engines/*.*a \
	%{buildroot}/%{_libdir}/xfce4/mcs-plugins/*.*a

%find_lang %{oname}

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{oname}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog ChangeLog.pre-xfce-devel INSTALL NEWS README TODO
%doc doc/FAQ doc/README.Kiosk doc/C/xfce4* 
%doc %dir %{_datadir}/xfce4/doc/*/*.html
%doc %dir %{_datadir}/xfce4/doc/*/images/*
%dir %{_sysconfdir}/X11/xdg/xfce4-session
%dir %{_datadir}/themes
%dir %{_datadir}/themes/Default
%config(noreplace) %{_sysconfdir}/X11/xdg/xfce4-session/xfce4-session.rc
%exclude %{_sysconfdir}/X11/xdg/autostart/xfce4-tips-autostart.desktop
%{_bindir}/*
%{_datadir}/applications/xfce*
%{_datadir}/icons/*/*/apps/xfce*
%{_datadir}/icons/*/*/*/xfsm*
%{_datadir}/xfce4/tips/tips*
%{_libdir}/xfce4/mcs-plugins/*.so
%{_libdir}/xfce4/splash/engines/libmice.so
%{_libdir}/xfce4/splash/engines/libsimple.so
%{_libdir}/xfsm-shutdown-helper
%{_mandir}/man1/*

%files -n %{name}-engines
%defattr(-,root,root)
%dir %{_datadir}/themes/Default/balou
%{_libdir}/balou-export-theme
%{_libdir}/balou-install-theme
%{_libdir}/xfce4/splash/engines/libbalou.so
%{_datadir}/themes/Default/balou/logo.png
%{_datadir}/themes/Default/balou/themerc

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*%{apiversion}.so.%{major}* 

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/xfce4/xfce4-session-4.2
%{_includedir}/xfce4/xfce4-session-4.2/*/*.h


%changelog
* Sun Sep 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-11mdv2008.0
+ Revision: 92364
- update patch 5 (logout dialog)

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-10mdv2008.0
+ Revision: 91881
- exclude config files, which are now in mandriva-xfce-config package

* Tue Sep 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-9mdv2008.0
+ Revision: 84450
- since there is suspend/hibernate option in logout menu, then pm-utils should be required

* Fri Sep 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-8mdv2008.0
+ Revision: 81907
- remove old patch 4, replace it with new one since all conf files are handle by mandriva-xfce-config package
- provide patch8, which make use of GtkFileChooser

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-7mdv2008.0
+ Revision: 44263
- fix file list
- new devel library policy
- disable legacy X11R5 session management
- move Source 1 and 2 to the xfce-config package
- adjust provides/obsoletes

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 4.4.1-6mdv2008.0
+ Revision: 36215
- rebuild with correct optflags

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - move balou splash engine to separate package (i hope someone will make a mandriva theme :)
    - rediff P4 (splash should be disabled now)

* Mon Jun 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-4mdv2008.0
+ Revision: 35071
- provide patch 5
  o add suspend and hibernate options to the session dialog
  o shutdown without a password
- provide patch 6 and 7
- provide Source 3 (icons for suspend/hibernate stolen from gnome-power-manager :)
- add requires on fortune-mod (tips&tricks works now)
- add buildrequires on dbus-glib-devel
- disable splash
- update description
- use macros in %%post and %%postun
- adjust configure options
- spec file clean

* Thu May 31 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-3mdv2008.0
+ Revision: 33091
- Add autostart

* Fri May 25 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 31093
- Add mandriva default theme

* Thu Apr 19 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 14934
- New release 4.4.1


* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.0
+ Revision: 112326
- New release 4.4.0

* Tue Dec 12 2006 Götz Waschk <waschk@mandriva.org> 4.3.99.2-3mdv2007.1
+ Revision: 95924
- fix scripts

* Tue Dec 12 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-2mdv2007.1
+ Revision: 95190
- Remove patch3
- New release 4.3.99.2

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add BuildRequires
    - import xfce-session-4.3.90.2-1mdv2007.0

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)

* Sat Jun 10 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.1-2mdv2007.0
- rebuild
- fix BR

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1
- libtoolize

* Sat Mar 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn r20246

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.2mdk
- buildrequires perl-XML-Parser

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk
- 4.3.0 svn r19739
- don't run libtoolize
- update filelist

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- update filelist
- drop requires on 1mdv2007.1

* Mon Aug 01 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-2mdk
- use usermode-consoleonly for halt/reboot (bug #16656)
- clean up devel files

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%{1}mdv2007.1
- update (build)requires
- update filelist

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Feb 05 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-4mdk
- really fix P2

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-3mdk
- really drop P0
- drop P1, start xftaskbar by default

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce
- fix P2

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Tue Dec 28 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-4mdk
- buildrequires X11

* Mon Dec 27 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-3mdk
- disable P2 fo now, it breaks

* Sun Dec 26 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- P2: disable compositor by default

* Sun Dec 26 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)
- rm used srouce and patch form rpm

* Fri Nov 19 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-3mdk
- fix description, it's stable now
- s/XFce/Xfce
- Patch1: don't start taskbar in default session

* Thu Nov 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.1-2mdk
- bz2 source

* Wed Nov 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1 (4.2 RC 1)
- drop S1 and Pand use shutdown-style=none (This gives users the perms to 
  only save and exit session)
- librafication 
- update file list

